    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.MenuComponent

    java.lang.Object
       |
       +----java.awt.MenuComponent

public abstract class MenuComponent
extends Object
implements Serializable

The abstract class `MenuComponent` is the superclass of all menu-related components. In this respect, the class `MenuComponent` is analogous to the abstract superclass `Component` for AWT components.

Menu components receive and process AWT events, just as components do, through the method `processEvent`.

##

MenuComponent()

##

dispatchEvent(AWTEvent)
getFont()
  Gets the font used for this menu component.
getName()
  Gets the name of the menu component.
getParent()
  Returns the parent container for this menu component.
getPeer()
  Deprecated.
getTreeLock()
  Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.
paramString()
  Returns the parameter string representing the state of this menu component.
postEvent(Event)
  Posts the specified event to the menu. Deprecated.
processEvent(AWTEvent)
  Processes events occurring on this menu component.
removeNotify()
  Removes the menu component's peer.
setFont(Font)
  Sets the font to be used for this menu component to the specified font.
setName(String)
  Sets the name of the component to the specified string.
toString()
  Returns a representation of this menu component as a string.

##

MenuComponent

     public MenuComponent()

##

getName

     public String getName()

  Gets the name of the menu component.

  Returns:
    the name of the menu component.
  See Also:
    setName

setName

     public void setName(String name)

  Sets the name of the component to the specified string.

  Parameters:
    name - the name of the menu component.
  See Also:
    getName

getParent

     public MenuContainer getParent()

  Returns the parent container for this menu component.

  Returns:
    the menu component containing this menu component, or `null` if this menu component is the outermost component, the menu bar itself.

getPeer

     public MenuComponentPeer getPeer()

  Note: getPeer() is deprecated. As of JDK version 1.1, programs should not directly manipulate peers.

getFont

     public Font getFont()

  Gets the font used for this menu component.

  Returns:
    the font used in this menu component, if there is one; `null` otherwise.
  See Also:
    setFont

setFont

     public void setFont(Font f)

  Sets the font to be used for this menu component to the specified font. This font is also used by all subcomponents of this menu component, unless those subcomponents specify a different font.

  Parameters:
    f - the font to be set.
  See Also:
    getFont

removeNotify

     public void removeNotify()

  Removes the menu component's peer. The peer allows us to modify the appearance of the menu component without changing the functionality of the menu component.

postEvent

     public boolean postEvent(Event evt)

  Note: postEvent() is deprecated. As of JDK version 1.1, replaced by `dispatchEvent(AWTEvent)`.

  Posts the specified event to the menu. This method is part of the Java 1.0 event system and it is maintained only for backwards compatibility. Its use is discouraged, and it may not be supported in the future.

  Parameters:
    evt - the event which is to take place

dispatchEvent

     public final void dispatchEvent(AWTEvent e)

processEvent

     protected void processEvent(AWTEvent e)

  Processes events occurring on this menu component.

  Parameters:
    e - the event

paramString

     protected String paramString()

  Returns the parameter string representing the state of this menu component. This string is useful for debugging.

  Returns:
    the parameter string of this menu component.

toString

     public String toString()

  Returns a representation of this menu component as a string.

  Returns:
    a string representation of this menu component.
  Overrides:
    toString in class Object

getTreeLock

     protected final Object getTreeLock()

  Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.

  Returns:
    This component's locking object.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.